Bug 89648 - rfcomm doesn't grok RLS
Summary: rfcomm doesn't grok RLS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-25 14:28 UTC by David Woodhouse
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version: 2.4.20-9.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-30 12:34:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix. (2.75 KB, patch)
2003-04-25 14:29 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2003-04-25 14:28:56 UTC
The rfcomm code in 2.4.20-9 rejects RLS packets, in violation of the
Bluetooth 1.1 spec. This causes some Bluetooth modems to terminate the connection.

Comment 1 David Woodhouse 2003-04-25 14:29:34 UTC
Created attachment 91300 [details]
Fix.


Note You need to log in before you can comment on or make changes to this bug.